deleteNetworkAcl

Prev Next

Available in VPC

Delete a network ACL by specifying the network ACL number.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vpc/v2/deleteNetworkAcl
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the network ACL to delete
networkAclNo String Required Network ACL number to delete
responseFormatType String Optional Response result format
  • xml (default) | json

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/deleteNetworkAcl
?regionCode=KR
&networkAclNo=***31' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See NetworkAclList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The following is a sample response.

<deleteNetworkAclResponse>
  <requestId>dbe3ad4e-7b38-450c-8482-41c7df0cd4c2</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <networkAclList>
    <networkAcl>
      <networkAclNo>***31</networkAclNo>
      <networkAclName>test-***</networkAclName>
      <vpcNo>***04</vpcNo>
      <networkAclStatus>
        <code>TERMT</code>
        <codeName>terminate</codeName>
      </networkAclStatus>
      <networkAclDescription></networkAclDescription>
      <createDate>2020-07-31T15:13:30+0900</createDate>
      <isDefault>false</isDefault>
    </networkAcl>
  </networkAclList>
</deleteNetworkAclResponse>